Provide VisualEditor regardless of device size
Closed, ResolvedPublic1 Story Points

Description

Expected outcome:

  • VisualEditor should be available on mobile devices in alpha mode
  • Toolbar should be hidden in mobile mode (to avoid http://imgur.com/CDnP8xD,ir22wZ9 rendering issues)
  • It should be possible to switch to source editor in someway (as highlighted in discussion on https://gerrit.wikimedia.org/r/#/c/174828/ it clips the title of the article being edited. Since this is in alpha, feel free to be creative and let's see if we can work this out :-)
Jdlrobson updated the task description. (Show Details)
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson added a project: Reading-Web-Backlog.
Jdlrobson added a subscriber: Jdlrobson.
bmansurov set Security to None.

Change 184822 had a related patch set uploaded (by Bmansurov):
WIP: Provide VisualEditor regardless of device size

https://gerrit.wikimedia.org/r/184822

Patch-For-Review

I am not able to get visual editor working locally. I keep getting "Unknown dependency: jquery.uls.data" in the console. I have re-opened the existing bug on the VisualEditor project [1]. Feel free to work on this card if you can get visual editor working locally.

[1] https://phabricator.wikimedia.org/T68594

bmansurov removed bmansurov as the assignee of this task.Jan 19 2015, 7:25 PM
bmansurov moved this task from Needs Analysis to 2016 Q4 on the Reading-Web-Backlog board.

Change 184822 abandoned by Bmansurov:
WIP: Provide VisualEditor regardless of device size

https://gerrit.wikimedia.org/r/184822

Status : Abandoned… Design Research needs this to keep on track in Q4, @KLans_WMF thoughts on when this will get some focus?

Jared if you look at the patch and comments baha had issues getting VE working at the time when he tried to do this in his volunteer time. Both teams are completely distracted right now with gather and WikiGrok so unlikely to get any focus until next quarter.

I'd recommend finding a volunteer dev. The work shouldn't be too hard it's just a case of time and effort.

(Also we need design guidance from your team on how to display the header :))

copied from dupe…

Early talks with Ed & Jon said this would be a simple task, and would greatly improve the ability for design and research to introduce users to it in a higher fidelity way then simple mockups and lo-fidelity prototypes. Performance issues can be pretty easily explained away during moderated testing.

Doing this now will allow design and research to get further ahead of development and give room for more time to research.

Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 8 2015, 3:47 PM
Jdforrester-WMF triaged this task as Normal priority.Apr 8 2015, 3:57 PM
aripstra edited subscribers, added: Nirzar, JAufrecht; removed: KHammerstein.May 19 2015, 6:47 PM

+Nirzar -Kaity
+Joel A. +James F

I removed Design Research from this, since this doesn't seem to be a research task (as currently described). If there is a related research task, I'd be happy to help scope and prioritize it.

It would be easily possible to enable VE on mobile devices, but the problem is: How useful is it without a toolbar?
That's how it would look (with a toolbar) actually (with a screen width from Nexus 5, if Chrome doesn't lie ;)):


(the "next button is somewhere right outside the visible context)

Just for fun I tested it without the main toolbar (which actually provides the most functionality) with editing a link:

And that's the result, if we completely hide the toolbar:

Pretty useless. Sure, you can add links, templates and so on with writing the start of the wikitext ({{ or [[), but if i have to write wikitext in VE, i would prefer plain wikitext, because it's more clear to have a full code style text (wikitext) or a (nearly) full visual editor, but mixed in this state would be terrible :) I'm really a friend of VE, but i think we should think about that, before doing something :)

Jdforrester-WMF closed this task as Resolved.Aug 7 2015, 5:32 PM
Jdforrester-WMF assigned this task to Esanders.

As of https://gerrit.wikimedia.org/r/230077 all device sizes are now able to use VE, though it remains default-off and you have to actively switch to use it over the wikitext editor. Next steps are to improve performance and integration to the point that we can consider having it default-on (i.e., first editor shown when you click edit if you have no preference).

For completeness, that's how it looks on an emulated Nexus 5: